⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request GET \
--url https://api.propops.app/api/dashboard/stats \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": {
"total_jobs": 500,
"open_jobs": 120,
"completed_jobs": 340,
"overdue_jobs": 12,
"jobs_without_contractor": 8,
"new_jobs_today": 5,
"booked_today": 14,
"recall_count": 3
}
}Returns aggregate job and activity statistics for the main dashboard sidebar. Required permission: api.dashboard.stats.manage
curl --request GET \
--url https://api.propops.app/api/dashboard/stats \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": {
"total_jobs": 500,
"open_jobs": 120,
"completed_jobs": 340,
"overdue_jobs": 12,
"jobs_without_contractor": 8,
"new_jobs_today": 5,
"booked_today": 14,
"recall_count": 3
}
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...